/*
 * exec.h: header for exec.c 
 *
 * Written By Michael Sandrof
 *
 * Copyright(c) 1990 
 *
 * See the COPYRIGHT file, or do a HELP IRCII COPYRIGHT 
 *
 * @(#)$Id: exec.h,v 1.10 1994/07/02 02:38:10 mrg Exp $
 */

#ifndef _EXEC_H_
#define _EXEC_H_

#include "irc_std.h"
#include <sys/types.h>

extern	int	check_wait_status _((int));
extern	void	check_process_limits _((void));
extern	void	do_processes _((fd_set *));
extern	void	set_process_bits _((fd_set *));
extern	int	text_to_process _((int, char *, int));
extern	char	*signals[];
extern	void	clean_up_processes _((void));
extern	int	is_process _((char *));
extern	int	get_process_index _((char **));
extern	void	exec_server_delete _((int));
extern	int	is_process_running _((int));
extern	void	add_process_wait _((int, char *));
extern	void	set_wait_process _((int));
extern	void	close_all_exec _((void));
extern	int	logical_to_index _((char *));
extern	int	get_child_exit _((int));
extern	void	execcmd _((char *, char *, char *));

#endif /* _EXEC_H_ */
